import { ApiError } from "./api-error";

export class ConflictApiError extends ApiError {
  constructor(detail: string) {
    super({
      status: 409,
      title: "Conflict",
      detail,
      type: "https://httpstatuses.com/409",
    });
  }
}
